"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const imperative_1 = require("@brightside/imperative");
const path = require("path");
/**
 * Run Imperative.init() to create a ~/.zowe directory if not present
 */
(() => __awaiter(void 0, void 0, void 0, function* () {
    const mainZoweDir = path.join(require.resolve("@brightside/core"), "..", "..", "..", "..");
    // we have to mock a few things to get the Imperative.init to work properly
    process.mainModule.filename = require.resolve("@brightside/core");
    process.mainModule.paths.unshift(mainZoweDir);
    // we need to call Imperative.init so that any installed credential manager plugins are loaded
    yield imperative_1.Imperative.init({ configurationModule: require.resolve("@brightside/core/lib/imperative.js") });
}))();

//# sourceMappingURL=ImperativeInit.js.map
